summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorAlexander F Rødseth2015-06-10 14:37:04 +0200
committerAlexander F Rødseth2015-06-10 14:37:04 +0200
commit605860bf6e185aaaab79fc72002bf9a4df572e28 (patch)
treecdee9a43359d97d56b1fd8f30aca422126c5791f
downloadaur-605860bf6e185aaaab79fc72002bf9a4df572e28.tar.gz
Initial import
-rw-r--r--.SRCINFO18
-rwxr-xr-xPKGBUILD21
-rwxr-xr-xlicense.txt8
-rwxr-xr-xvimdoc.install19
4 files changed, 66 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..3f031768d3b
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,18 @@
+pkgbase = vim-railscasts
+ pkgdesc = railscasts color theme that works in 256color terminals as well as gui
+ pkgver = 1.1
+ pkgrel = 2
+ url = http://www.vim.org/scripts/script.php?script_id=2175
+ install = vimdoc.install
+ arch = i686
+ arch = x86_64
+ groups = vim-plugins
+ license = custom
+ depends = vim
+ source = vim-railscasts::http://www.vim.org/scripts/download_script.php?src_id=8379
+ source = license.txt
+ md5sums = 262b9a7bd797b0c7cef344262e6a33ab
+ md5sums = efbd5986e691ce8c876fb86e8f5961ea
+
+pkgname = vim-railscasts
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100755
index 00000000000..e191dcf1170
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,21 @@
+# Maintainer: Laszlo Papp <djszapi2 at gmail com>
+pkgname=vim-railscasts
+pkgver=1.1
+_scriptid=8379
+pkgrel=2
+pkgdesc="railscasts color theme that works in 256color terminals as well as gui"
+arch=(i686 x86_64)
+url="http://www.vim.org/scripts/script.php?script_id=2175"
+license=('custom')
+depends=(vim)
+groups=('vim-plugins')
+install=vimdoc.install
+source=(${pkgname}::http://www.vim.org/scripts/download_script.php?src_id=${_scriptid}
+ license.txt)
+md5sums=('262b9a7bd797b0c7cef344262e6a33ab'
+ 'efbd5986e691ce8c876fb86e8f5961ea')
+
+build() {
+ install -Dm755 ${srcdir}/${pkgname} ${pkgdir}/usr/share/vim/colors/railscasts.vim || return 1
+ install -Dm755 ${srcdir}/license.txt ${pkgdir}/usr/share/licenses/${pkgname}/license.txt
+}
diff --git a/license.txt b/license.txt
new file mode 100755
index 00000000000..226f27b5356
--- /dev/null
+++ b/license.txt
@@ -0,0 +1,8 @@
+Copyright (C) 2002-2007 Yegappan Lakshmanan
+Permission is hereby granted to use and distribute this code,
+with or without modifications, provided that this copyright
+notice is copied with it. Like anything else that's free,
+taglist.vim is provided *as is* and comes with no warranty of any
+kind, either expressed or implied. In no event will the copyright
+holder be liable for any damamges resulting from the use of this
+software.
diff --git a/vimdoc.install b/vimdoc.install
new file mode 100755
index 00000000000..5246e5c2113
--- /dev/null
+++ b/vimdoc.install
@@ -0,0 +1,19 @@
+post_install() {
+ echo -n "Updating vim help tags..."
+ /usr/bin/vim --noplugins -u NONE -U NONE \
+ --cmd ":helptags /usr/share/vim/doc" --cmd ":q" > /dev/null 2>&1
+ echo "done."
+}
+
+post_upgrade() {
+ post_install $1
+}
+
+post_remove() {
+ post_install
+}
+
+op=$1
+shift
+
+$op $*